<?php

//Updated Long ass query string

$query = "SELECT DISTINCT ".$eqdkp_prefix."members . * , ".$eqdkp_prefix."classes.*, ".$eqdkp_prefix."races.*, ".$eqdkp_prefix."member_ranks.*,
FORMAT( ( (".$eqdkp_prefix."members.member_earned - ".$eqdkp_prefix."members.member_spent)+ ".$eqdkp_prefix."members.member_adjustment), 0 ) AS dkp_balance,
COUNT( ".$eqdkp_prefix."items.item_id ) AS total_loot,
FORMAT(((count( ".$eqdkp_prefix."items.item_id ))/".$eqdkp_prefix."members.member_raidcount)*100,2) AS lvsr,
SUM( IF ( ".$eqdkp_prefix."items.item_value > 0, 1, 0 ) ) AS epic_loot,
SUM( IF ( ".$eqdkp_prefix."items.item_value = 0, 1, 0 ) ) AS other_loot,
IF ( ".$eqdkp_prefix."members.member_lastraid IS NULL , '', ".$eqdkp_prefix."members.member_lastraid) AS last_raid
FROM `".$eqdkp_prefix."members`
LEFT JOIN ".$eqdkp_prefix."classes ON ".$eqdkp_prefix."members.member_class_id = ".$eqdkp_prefix."classes.class_id
LEFT JOIN ".$eqdkp_prefix."items ON ".$eqdkp_prefix."members.member_name = ".$eqdkp_prefix."items.item_buyer
LEFT JOIN ".$eqdkp_prefix."member_ranks ON ".$eqdkp_prefix."members.member_rank_id = ".$eqdkp_prefix."member_ranks.rank_id
LEFT JOIN ".$eqdkp_prefix."races ON ".$eqdkp_prefix."members.member_race_id = ".$eqdkp_prefix."races.race_id
GROUP BY ".$eqdkp_prefix."members.member_id";

// Add custom primary and secondary ORDER BY definitions
if (isset($_GET['s'])) {
	$switchString = ($_GET['s'])?$_GET['s']:'';
} else {
	$switchString = '';
}
switch ($switchString) {
	case 'name':
		$query .= " ORDER BY ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'class':
		$query .= " ORDER BY ".$eqdkp_prefix."classes.class_name ASC, ".$eqdkp_prefix."members.member_level DESC";
		break;
	case 'level':
		$query .= " ORDER BY ".$eqdkp_prefix."members.member_level DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'guild_rank':
		$query .= " ORDER BY ".$eqdkp_prefix."member_ranks.rank_name ASC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'member_earned':
		$query .= " ORDER BY ".$eqdkp_prefix."members.member_earned DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'member_spent':
		$query .= " ORDER BY ".$eqdkp_prefix."members.member_spent DESC, ".$eqdkp_prefix."members.member_name ASC";
		break; 
	case 'member_adjustment':
		$query .= " ORDER BY ".$eqdkp_prefix."members.member_adjustment DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'dkp_balance':
		$query .= " ORDER BY (".$eqdkp_prefix."members.member_earned-".$eqdkp_prefix."members.member_spent+".$eqdkp_prefix."members.member_adjustment) DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'total_loot':
		$query .= " ORDER BY total_loot DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'epic_loot':
		$query .= " ORDER BY epic_loot DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'other_loot':
		$query .= " ORDER BY other_loot DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'raid_count':
		$query .= " ORDER BY ".$eqdkp_prefix."members.member_raidcount DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	case 'last_raid':
		$query .= " ORDER BY ".$eqdkp_prefix."members.member_lastraid DESC, ".$eqdkp_prefix."members.member_name ASC";
		break;
	default:
		$query .= " ORDER BY ".$eqdkp_prefix."classes.class_name ASC, (".$eqdkp_prefix."members.member_earned-".$eqdkp_prefix."members.member_spent+".$eqdkp_prefix."members.member_adjustment) DESC ,".$eqdkp_prefix."members.member_name ASC";
}

$result = mysql_query($query) or die(mysql_error());
if ($sqldebug) {
	print ("<!--$query-->");
}
$tableHeader = '<table cellpadding="0" cellspacing="0" class="membersList">';
$borderTop = '<tr><th colspan="14" class="rankbordertop"><span class="rankbordertopleft"></span><span class="rankbordertopright"></span></th></tr>';
$tableHeaderRow = '<tr>
	<th class="rankbordercenterleft"><div class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=name">'.$wordings[$roster_lang]['name'].'</a></div></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=class">'.$wordings[$roster_lang]['class'].'</a></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=level">'.$wordings[$roster_lang]['level'].'</a></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=guild_rank">'.$wordings[$roster_lang]['title'].'</a></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=member_earned">'.$wordings[$roster_lang]['eqdkp_earned'].'</a></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=member_spent">'.$wordings[$roster_lang]['eqdkp_spent'].'</a></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=member_adjustment">'.$wordings[$roster_lang]['eqdkp_adjustment'].'</a></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=dkp_balance">'.$wordings[$roster_lang]['eqdkp_current'].'</a></th>
	';
    if ($eqdkp_show_loot == 1){
$tableHeaderRow .=    '<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=total_loot">'.$wordings[$roster_lang]['eqdkp_totalloot'].'</a></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=epic_loot">'.$wordings[$roster_lang]['eqdkp_epicloot'].'</a></th>
	<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=other_loot">'.$wordings[$roster_lang]['eqdkp_otherloot'].'</a></th>
	';
    }
$tableHeaderRow .=    '<th class="membersHeader"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=raid_count">'.$wordings[$roster_lang]['eqdkp_raidcount'].'</a></th>
	<th class="membersHeader">'.$wordings[$roster_lang]['eqdkp_lvsr'].'</th>
	<th class="rankbordercenterright"><div class="membersHeaderRight"><a href="'.$roster_moddir.'&op=addon&roster_addon_name=eqdkp&display=eqdkp&s=last_raid">'.$wordings[$roster_lang]['eqdkp_lastraid'].'</a></div></th>
</tr>';
$borderBottom = '<tr><th colspan="14" class="rankborderbot"><span class="rankborderbotleft"></span><span class="rankborderbotright"></span></th></tr>';
$tableFooter = '</table>';

print($tableHeader);

// Counter for row striping
$striping_counter = 0;
if (isset($_GET['s'])) {
	$current_sorting = $_GET['s'];
} else {
	$current_sorting = '';
}

$last_value = '';
while($row = mysql_fetch_array($result)) {
	// Adding grouping dividers
	if ($current_sorting == 'class_name') {
		if ($last_value != $row['class_name']) {
			if ($striping_counter != 0) {
				print($borderBottom);
			}
			print('<tr><th colspan="8" class="membersGroup" id="'.$current_sorting.'-'.$row['class_name'].'">'.$row['class_name']."</th></tr>\n");
			print ($borderTop);
			print ($tableHeaderRow);
			$striping_counter = 0;
		}
		$last_value = $row['class_name'];
	}	elseif ($current_sorting == 'rank_name') {
		if ( $last_value != $row['rank_name']) {
			if ($striping_counter != 0) {
				print($borderBottom);
			}
			print('<tr><th colspan="8" class="membersGroup" id="'.$current_sorting.'-'.$row['rank_name'].'">'.$row['rank_name']."</th></tr>\n");
			print ($borderTop);
			print ($tableHeaderRow);
			$striping_counter = 0;
		}
	$last_value = $row['rank_name'];
	} elseif ($current_sorting == 'member_level') {
		if ( $last_value != $row['member_level']) {
			if ($striping_counter != 0) {
				print($borderBottom);
			}
			print('<tr><th colspan="8" class="membersGroup" id="'.$current_sorting.'-'.$row['member_level'].'">Level '.$row['member_level']."</th></tr>\n");
			print ($borderTop);
			print ($tableHeaderRow);
			$striping_counter = 0;
		}
	$last_value = $row['member_level'];
	} else {
		if ($striping_counter == 0) {
			print($borderTop);
			print($tableHeaderRow);
		}
	}

// Striping rows
	print('<tr>');

// Increment counter so rows are colored alternately
	++$striping_counter;

// Echoing cells w/ data
	print('<td class="rankbordercenterleft"><div class="membersRow'. (($striping_counter % 2) +1) .'">');
	if ($row['member_name']) {
		print('<a href="'.$eqdkp_install.'/viewmember.php?s=&name='.$row['member_name'].'">'.$row['member_name'].'</a>');
	} else {
		print($row['member_name']);
	}
	print('</div></td>');

	print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><span class="class-'.$row['class_name'].'-txt">'.$row['class_name'].'</td>');
	print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><span class="class-'.$row['class_name'].'-txt">'.$row['member_level'].'</td>');
	print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><span class="class-'.$row['class_name'].'-txt">'.$row['rank_name'].'</td>');
	if ($row['member_earned']) {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="green">'.$row['member_earned'].'</font></td>');
	} else {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
	}
	if ($row['member_spent']) {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="red">'.$row['member_spent'].'</font></td>');
	} else {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
	}
	if($row['member_adjustment'] < 0) { 
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="red">'.$row['member_adjustment'].'</font></td>');
	} else { 
		if($row['member_adjustment'] > 0) { 
			print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="green">+'.$row['member_adjustment'].'</font></td>');
		} else {		
			print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
		}
	}
	if ($row['dkp_balance'] < 0) {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="red">'.$row['dkp_balance'].'</font></td>');
	} else {
		if ($row['dkp_balance'] > 0) {
			print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="white">'.$row['dkp_balance'].'</font></td>');
		} else {
			print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
		}
	}
if ($eqdkp_show_loot == 1){
    if ($row['total_loot']) {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="yellow">'.$row['total_loot'].'</font></td>');
	} else {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
	}
	if ($row['epic_loot']) {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="purple">'.$row['epic_loot'].'</font></td>');
	} else {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
	}
	if ($row['other_loot']) {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="blue">'.$row['other_loot'].'</font></td>');
	} else {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
	}
}
    if ($row['member_raidcount']) {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="orange">'.$row['member_raidcount'].'</font></td>');
	} else {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
	}
	if ($row['lvsr']) {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'"><font color="gold">'.$row['lvsr'].'%</font></td>');
	} else {
		print('<td class="membersRow'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
	}
	if ($row['last_raid']) {
		print('<td class="rankbordercenterright"><div class="membersRowRight'. (($striping_counter % 2) +1) .'">'.date('m-d-Y',$row['last_raid']).'</div></td>');
	} else {
		print('<td class="rankbordercenterright"><div class="membersRowRight'. (($striping_counter % 2) +1) .'">&nbsp;</td>');
	}
	print("</tr>\n");
}
print($borderBottom);
print($tableFooter);
mysql_free_result($result);
print "<p id=\"last_update\" class=\"last_update\">".$wordings[$roster_lang]['update']." ".$updateTime."</p>";
?>