<?php
/*
* $Date: 2006/01/08 03:19:26 $
* $Revision: 1.4 $
* $Author: zanix $
*/

// Language translations for Character/Background image selection in SigGen.php


// Character Image Translation
	// Format: $siggen_translate['char']['locale']['Localized Name']='Filename';
	// 'Localized Name' MUST be the same as what is stored in the database
	// 'Race in Filename' MUST be the same as the race part in the image filenames
		// Example: $siggen_translate['char']['deDE']['Nachtelf']='nightelf';
		// Example: $siggen_translate['char']['enUS']['Night Elf']='nightelf';


// Class Image Translation
	// Format: $siggen_translate['class']['locale']['Localized Name']='Filename';
	// 'Localized Name' MUST be the same as what is stored in the database
	// 'Race in Filename' MUST be the same as the race part in the image filenames
		// Example: $siggen_translate['class']['deDE']['Jger']='hunter';
		// Example: $siggen_translate['class']['enUS']['Hunter']='hunter';


// Background Image Translation
	// Format: $siggen_translate['back']['locale']['Localized Name']='English Name';
	// 'Localized Name' MUST be the same as what is stored in the database
	// 'English Name' MUST be the english translation
		// Example: $siggen_translate['back']['enUS']['Night Elf']='Night Elf';
		// Example: $siggen_translate['back']['deDE']['Nachtelf']='Night Elf';



// ----[ Begin US English (enUS) ]--------------------------

// Character Image Translation
$siggen_translate['char']['enUS']['Night Elf'] = 'nightelf';
$siggen_translate['char']['enUS']['Dwarf']     = 'dwarf';
$siggen_translate['char']['enUS']['Gnome']     = 'gnome';
$siggen_translate['char']['enUS']['Human']     = 'human';
$siggen_translate['char']['enUS']['Orc']       = 'orc';
$siggen_translate['char']['enUS']['Undead']    = 'undead';
$siggen_translate['char']['enUS']['Troll']     = 'troll';
$siggen_translate['char']['enUS']['Tauren']    = 'tauren';
$siggen_translate['char']['enUS']['Male']      = 'male';
$siggen_translate['char']['enUS']['Female']    = 'female';

// Class Image Translation
$siggen_translate['class']['enUS']['Druid']    = 'druid';
$siggen_translate['class']['enUS']['Hunter']   = 'hunter';
$siggen_translate['class']['enUS']['Mage']     = 'mage';
$siggen_translate['class']['enUS']['Paladin']  = 'paladin';
$siggen_translate['class']['enUS']['Priest']   = 'priest';
$siggen_translate['class']['enUS']['Rogue']    = 'rogue';
$siggen_translate['class']['enUS']['Shaman']   = 'shaman';
$siggen_translate['class']['enUS']['Warlock']  = 'warlock';
$siggen_translate['class']['enUS']['Warrior']  = 'warrior';

// Background Image Translation
$siggen_translate['back']['enUS']['Night Elf'] = 'Night Elf';
$siggen_translate['back']['enUS']['Dwarf']     = 'Dwarf';
$siggen_translate['back']['enUS']['Gnome']     = 'Gnome';
$siggen_translate['back']['enUS']['Human']     = 'Human';
$siggen_translate['back']['enUS']['Orc']       = 'Orc';
$siggen_translate['back']['enUS']['Undead']    = 'Undead';
$siggen_translate['back']['enUS']['Troll']     = 'Troll';
$siggen_translate['back']['enUS']['Tauren']    = 'Tauren';
$siggen_translate['back']['enUS']['Male']      = 'Male';
$siggen_translate['back']['enUS']['Female']    = 'Female';

// ----[ End US English (enUS) ]----------------------------


// ----[ Begin deDE ]---------------------------------------

// Character Image Translation
$siggen_translate['char']['deDE']['Nachtelf']      = 'nightelf';
$siggen_translate['char']['deDE']['Zwerg']         = 'dwarf';
$siggen_translate['char']['deDE']['Gnom']          = 'gnome';
$siggen_translate['char']['deDE']['Mensch']        = 'human';
$siggen_translate['char']['deDE']['Orc']           = 'orc';
$siggen_translate['char']['deDE']['Untoter']       = 'undead';
$siggen_translate['char']['deDE']['Troll']         = 'troll';
$siggen_translate['char']['deDE']['Tauren']        = 'tauren';
$siggen_translate['char']['deDE']['Männlich']     = 'male';
$siggen_translate['char']['deDE']['Weiblich']      = 'female';

// Class Image Translation
$siggen_translate['class']['deDE']['Druide']       = 'druid';
$siggen_translate['class']['deDE']['Jäger']       = 'hunter';
$siggen_translate['class']['deDE']['Magier']       = 'mage';
$siggen_translate['class']['deDE']['Paladin']      = 'paladin';
$siggen_translate['class']['deDE']['Priester']     = 'priest';
$siggen_translate['class']['deDE']['Schurke']      = 'rogue';
$siggen_translate['class']['deDE']['Schamane']     = 'shaman';
$siggen_translate['class']['deDE']['Hexenmeister'] = 'warlock';
$siggen_translate['class']['deDE']['Krieger']      = 'warrior';

// Background Image Translation
$siggen_translate['back']['deDE']['Nachtelf']      = 'Night Elf';
$siggen_translate['back']['deDE']['Zwerg']         = 'Dwarf';
$siggen_translate['back']['deDE']['Gnom']          = 'Gnome';
$siggen_translate['back']['deDE']['Mensch']        = 'Human';
$siggen_translate['back']['deDE']['Orc']           = 'Orc';
$siggen_translate['back']['deDE']['Untoter']       = 'Undead';
$siggen_translate['back']['deDE']['Troll']         = 'Troll';
$siggen_translate['back']['deDE']['Tauren']        = 'Tauren';
$siggen_translate['back']['deDE']['Männlich']     = 'Male';
$siggen_translate['back']['deDE']['Weiblich']      = 'Female';

// ----[ End deDE ]-----------------------------------------

// ----[ Begin frFR ]---------------------------------------

// Character Image Translation
$siggen_translate['char']['frFR']['Nachtelf']      = 'nightelf';
$siggen_translate['char']['frFR']['Zwerg']         = 'dwarf';
$siggen_translate['char']['frFR']['Gnom']          = 'gnome';
$siggen_translate['char']['frFR']['Mensch']        = 'human';
$siggen_translate['char']['frFR']['Orc']           = 'orc';
$siggen_translate['char']['frFR']['Mort-vivant']       = 'undead';
$siggen_translate['char']['frFR']['Troll']         = 'troll';
$siggen_translate['char']['frFR']['Tauren']        = 'tauren';
$siggen_translate['char']['frFR']['Homme']     = 'male';
$siggen_translate['char']['frFR']['Femme']      = 'female';

// Class Image Translation
$siggen_translate['class']['frFR']['Druide']       = 'druid';
$siggen_translate['class']['frFR']['Jäger']       = 'hunter';
$siggen_translate['class']['frFR']['Magier']       = 'mage';
$siggen_translate['class']['frFR']['Paladin']      = 'paladin';
$siggen_translate['class']['frFR']['Priester']     = 'priest';
$siggen_translate['class']['frFR']['Schurke']      = 'rogue';
$siggen_translate['class']['frFR']['Schamane']     = 'shaman';
$siggen_translate['class']['frFR']['Hexenmeister'] = 'warlock';
$siggen_translate['class']['frFR']['Krieger']      = 'warrior';

// Background Image Translation
$siggen_translate['back']['frFR']['Nachtelf']      = 'Night Elf';
$siggen_translate['back']['frFR']['Zwerg']         = 'Dwarf';
$siggen_translate['back']['frFR']['Gnom']          = 'Gnome';
$siggen_translate['back']['frFR']['Mensch']        = 'Human';
$siggen_translate['back']['frFR']['Orc']           = 'Orc';
$siggen_translate['back']['frFR']['Mort-vivant']       = 'Undead';
$siggen_translate['back']['frFR']['Troll']         = 'Troll';
$siggen_translate['back']['frFR']['Tauren']        = 'Tauren';
$siggen_translate['back']['frFR']['Homme']     = 'Male';
$siggen_translate['back']['frFR']['Femme']      = 'Female';

// ----[ End frFR ]-----------------------------------------



?>